org.apache.ignite.internal.binary

## Interface BinaryRawReaderEx

All Superinterfaces:
  BinaryRawReader

All Known Implementing Classes:
  BinaryReaderExImpl

    public interface BinaryRawReaderEx
    extends BinaryRawReader

Extended reader interface.

### Method Summary

Methods
`Object` `readObjectDetached()`

### Methods inherited from interface org.apache.ignite.binary.BinaryRawReader

`readBoolean, readBooleanArray, readByte, readByteArray, readChar, readCharArray, readCollection, readCollection, readDate, readDateArray, readDecimal, readDecimalArray, readDouble, readDoubleArray, readEnum, readEnumArray, readFloat, readFloatArray, readInt, readIntArray, readLong, readLongArray, readMap, readMap, readObject, readObjectArray, readShort, readShortArray, readString, readStringArray, readTimestamp, readTimestampArray, readUuid, readUuidArray`

### Method Detail

#### readObjectDetached

    @Nullable
    Object readObjectDetached()
                              throws BinaryObjectException

Returns:
  Object.
Throws:
  `BinaryObjectException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016